From: Meino Christian Cramer <Meino.Cramer / gmx.de>
Subject: FXRuby 1.2.0 / Fox 1.2.6
Date: Sat, 10 Jul 2004 18:26:34 +0900

Hi,

 finally I found some errors but it still not work.

 I removed Fox 1.2.6, FXRuby 1.2.0 and installed additionally
 scintilla, scite and fxscintiila.

 Then I reinstalled Fox 1.2.6 and finally FXRuby.

 There were no error message up to this point.

 Then I did a 

	  gem check --alien 

 and got 

    [tmp/] :gem check --alien
    Performing the 'alien' operation
    fxruby-1.2.0 has 1 problems
            /usr/lib/ruby/gems/1.8/cache/fxruby-1.2.0.gem:
            Unmanaged files in gem: ["ext/fox/layout_wrap.o", 
            "ext/fox/list_wrap.o", "ext/fox/icons_wrap.o", "ext/fox/mdi_wrap.o",
            "ext/fox/mkmf.log", "ext/fox/dc_wrap.o", "ext/fox/FXRbGLViewer.o",
            "ext/fox/iconlist_wrap.o", "ext/fox/markfuncs.o",
            "ext/fox/treelist_wrap.o", "ext/fox/text_wrap.o", "ext/fox/FXRbApp.o",
            "ext/fox/impl.o", "ext/fox/FXRbDataTarget.o", "ext/fox/gem_make.out",
            "ext/fox/scintilla_wrap.o", "ext/fox/menu_wrap.o",
            "ext/fox/image_wrap.o", "ext/fox/FXRuby.o", "ext/fox/librb.o",
            "ext/fox/table_wrap.o", "ext/fox/core_wrap.o", "ext/fox/label_wrap.o",
            "ext/fox/dialogs_wrap.o", "ext/fox/opengl_wrap.o", "ext/fox/Makefile",
            "ext/fox/frames_wrap.o", "ext/fox/ui_wrap.o"]
    
    
    sources-0.0.1 is error-free

 
 The gem manual stated to use the initial sequence of

	 #!/usr/bin/ruby
	 require 'rubygems'
	 require_gem 'fxruby'

	 include Fox

	 ...

 and the FXRuby manual state in opposite to use

	 #!/usr/bin/ruby
	 require 'fxruby'

	 include Fox
	 

 None work for me.

 I constantly get:

 ./helloworld.rb:8: uninitialized constant Fox (NameError)
	 

 The examples included in fxruby-1.2.0.gem do not work also.

 At this point I have no ideas anymore what to do.

 Does anyone out there installed Fox-1.2.6 and FXRuby-1.2.0.gem
 successfully and do know, what I did so badly wrong ?

 Any help is very appreciated ! ;)

 Thank you very much in advance for any hint... :O)

 Ruby.use !
 Meino